Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class WLSSLAdapter

    java.lang.Object
      |
      +--weblogic.webservice.client.BaseWLSSLAdapter
            |
            +--weblogic.webservice.client.WLSSLAdapter

public final class WLSSLAdapter
extends BaseWLSSLAdapter

WLSSLContext.java Created: Mon Apr 8 19:24:52 2002

Author:
  Copyright (c) 2002-2003. BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.webservice.client.BaseWLSSLAdapter
`ENFORCE_CONSTRAINTS, STRICT_CHECKING_DEFAULT, strictCertChecking, TRUSTED_CERTS, trustedCertFile, verbose, VERBOSE_PROPERTY`

Constructor Summary
`WLSSLAdapter()`
`WLSSLAdapter(boolean strict)`

Method Summary
`java.net.URLConnection` | `openConnection(java.net.URL url)` Opens connection to URL
`void` | `setStrictChecking(boolean strict)` Disable strict certificate checking.

Methods inherited from class weblogic.webservice.client.BaseWLSSLAdapter
`_setStrictChecking, adapterUsed, addIdentity, addIdentity, addIdentity, clearProxy, createSocket, getContext, getIdentity, getProtocolVersion, getSocketFactory, getStrictCheckingDefault, loadLocalIdentity, removeIdentity, removeIdentity, setProtocolVersion, setProxy, setStrictCheckingDefault, setTrustedCertificatesFile, setTrustManager, setTrustManager, setVerbose, X509java2javax, X509java2javax, X509javax2java, X509javax2java`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSSLAdapter

    public WLSSLAdapter()

### WLSSLAdapter

    public WLSSLAdapter(boolean strict)

Method Detail

### openConnection

    public final java.net.URLConnection openConnection(java.net.URL url)
                                                throws java.io.IOException

  Opens connection to URL

  Parameters:
    `url` - URL we will be connecting to
  Returns:
    URLConnection
  Throws:
    java.io.IOException - if error occurs while accessing Socket
  Overrides:
    openConnection in class BaseWLSSLAdapter

### setStrictChecking

    public final void setStrictChecking(boolean strict)

  Disable strict certificate checking. Disabling strict certificate checking will cause all certificates to be accepted with warnings to standard out. When disabled, this adapter will set the TrustManager of all sockets (including those used in URLConnections) and the HostnameVerifier of all URLConnections to to instances that accept all certificates.Setting it to true will revert them to their original values. This cannot value cannot be changed once the Adapter has been used.

  Parameters:
    `strict` - whether or not certificate checking is strictly enforced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference